using System;
using System.Collections.Generic;
using System.Text;

namespace ObjectDataBindungLib
{
    using System.Collections.ObjectModel;

    public class MasterObj
    {
        string masterData;

        public MasterObj()
        {
        }

        public Collection<DetailObj> Details
        {
            get
            {
                Collection<DetailObj> details = new Collection<DetailObj>();
                for (int index = 0; index < 10; index++)
                {
                    DetailObj detail = new DetailObj();
                    detail.DetailData = string.Format("{0} - detail {1}", this.masterData, index + 1);
                    details.Add(detail);
                }

                return details;
            }
        }

        public string MasterData
        {
            get { return this.masterData; }
            set { this.masterData = value; }
        }

        public static Collection<MasterObj> GetData()
        {
            Collection<MasterObj> masters = new Collection<MasterObj>();
            for (int index = 0; index < 3; index++)
            {
                MasterObj master = new MasterObj();
                master.MasterData = string.Format("master {0}", index + 1);
                masters.Add(master);
            }

            return masters;
        }
    }

    public class DetailObj
    {
        string detailData;

        public string DetailData
        {
            get { return this.detailData; }
            set { this.detailData = value; }
        }
    }
}
